Skip to content
View as Markdown

GET Experiment Campaigns​

GET
/setting/experiments/campaigns

Retrieve all campaigns sorted by ID in descending order. Used in the experimental settings UI to allow selecting campaigns for experimental features.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Responses​

List of all campaigns.

application/json
JSON
{
"campaigns": [
{
"id": 0,
"title": "string",
"status": "string",
"type": "string",
"slug": "string",
"template_id": 0,
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"design_template": "string",
"scheduled_at": "string",
"created_at": "string",
"updated_at": "string"
}
]
}

Playground​

Authorization

Samples​

Powered by VitePress OpenAPI